
//		@HWSERIAL function:


DLLExports int WINAPI f_hwserial( LPTSTR String )
{
	if ( !String )
		return 1;


	wchar_t temp[SHORT_BUF_LEN]			= L"";
	wchar_t ch							= '\0';

	BOOL GoodDrive						= FALSE;

	HANDLE DeviceHandle					= NULL;


	wcscpy_s( temp, SHORT_BUF_LEN, String );
	String[0] = '\0';
	
	TrimLine( temp );
	if ( temp[0] == '\0' ) {
		DisplayErrorHeader();
		Qprintf( ERRHANDLE, L"Missing drive letter\r\n" );
		return -1;
	}

	_wcsupr_s( temp, SHORT_BUF_LEN );

	if ( iswalpha( temp[0] ) && ( temp[1] == ':' ) && ( temp[2] == '\0' ) ) {
		ch = temp[0];
		wsprintf( temp, L"\\\\.\\%c:", ch );
		GoodDrive = TRUE;
	}

	if ( !GoodDrive ) {
		DisplayErrorHeader();
		Qprintf( ERRHANDLE, L"Bad drive letter: \"%s\"\r\n", temp );
		return -1;
	}


	DeviceHandle = CreateFile( temp, 0, FILE_SHARE_READ | FILE_SHARE_WRITE, NULL, OPEN_EXISTING, 0, NULL );
	if ( DeviceHandle != INVALID_HANDLE_VALUE ) {
		Printf( L"   * Opened a handle to %s :\r\n", temp );


		CloseHandle( DeviceHandle );
	}

	return 0;
}
